- name: Install packages
  when: install_graphics
  package:
    name:
      - emacs
    state: present

- name: Install packages
  when: not install_graphics
  package:
    name:
      - emacs-nox
    state: present

- name: Install packages
  when: 'emacs_flavor == "full"'
  package:
    name:
      - py311-pygments
      - inkscape # to support SVGs in LaTeX
      # - prettier # typescript formatting
      - aspell
      - en-aspell
      - unzip # for extracting mspyls
      - py311-isort
      - py311-black
      - zip # for odt export from org-mode
      - gnuplot # used for exporting graphs from org-mode
      # - pyright
      - sqlite3 # for sqlite code blocks in org-mode
      # - terraform-ls # Terraform language server
      - py311-ptvsd
      - hs-ShellCheck
      # - gopls
    state: present
